| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
pngerror.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Macros
#define | isnonalpha(c) ((c) < 65 || (c) > 122 || ((c) > 90 && (c) < 97))
#define | PNG_MAX_ERROR_TEXT 64
#define | fixed_message "fixed point overflow in "
#define | fixed_message_ln ((sizeof fixed_message)-1)

## Functions
| PNG_FUNCTION (void, PNGAPI png_error,(png_structp png_ptr, png_const_charp error_message), PNG_NORETURN)
void PNGAPI | png_warning (png_structp png_ptr, png_const_charp warning_message)
void PNGAPI | png_benign_error (png_structp png_ptr, png_const_charp error_message)
void PNGAPI | png_chunk_warning (png_structp png_ptr, png_const_charp warning_message)
void PNGAPI | png_chunk_benign_error (png_structp png_ptr, png_const_charp error_message)
| PNG_FUNCTION (void, png_fixed_error,(png_structp png_ptr, png_const_charp name), PNG_NORETURN)
jmp_buf *PNGAPI | png_set_longjmp_fn (png_structp png_ptr, png_longjmp_ptr longjmp_fn, size_t jmp_buf_size)
| PNG_FUNCTION (void, PNGAPI png_longjmp,(png_structp png_ptr, int val), PNG_NORETURN)
void PNGAPI | png_set_error_fn (png_structp png_ptr, png_voidp error_ptr, png_error_ptr error_fn, png_error_ptr warning_fn)
png_voidp PNGAPI | png_get_error_ptr (png_const_structp png_ptr)

## Macro Definition Documentation

#define fixed_message "fixed point overflow in "

#define fixed_message_ln ((sizeof fixed_message)-1)

#define isnonalpha | ( |  | c | ) | ((c) < 65 || (c) > 122 || ((c) > 90 && (c) < 97))

Definition at line 150 of file pngerror.c.

#define PNG_MAX_ERROR_TEXT 64

Definition at line 156 of file pngerror.c.

## Function Documentation

void PNGAPI png_benign_error | ( | png_structp | png_ptr,
|  | png_const_charp | error_message
| ) |  |

Definition at line 135 of file pngerror.c.

void PNGAPI png_chunk_benign_error | ( | png_structp | png_ptr,
|  | png_const_charp | error_message
| ) |  |

Definition at line 230 of file pngerror.c.

void PNGAPI png_chunk_warning | ( | png_structp | png_ptr,
|  | png_const_charp | warning_message
| ) |  |

Definition at line 213 of file pngerror.c.

PNG_FUNCTION | ( | void | ,
|  | PNGAPI | png_error,
|  | (png_structp png_ptr, png_const_charp error_message) | ,
|  | PNG_NORETURN |
| ) |  |

Definition at line 38 of file pngerror.c.

PNG_FUNCTION | ( | void | ,
|  | png_fixed_error | ,
|  | (png_structp png_ptr, png_const_charp name) | ,
|  | PNG_NORETURN |
| ) |  |

Definition at line 243 of file pngerror.c.

PNG_FUNCTION | ( | void | ,
|  | PNGAPI | png_longjmp,
|  | (png_structp png_ptr, int val) | ,
|  | PNG_NORETURN |
| ) |  |

Definition at line 330 of file pngerror.c.

png_voidp PNGAPI png_get_error_ptr | ( | png_const_structp | png_ptr | ) |

Definition at line 426 of file pngerror.c.

void PNGAPI png_set_error_fn | ( | png_structp | png_ptr,
|  | png_voidp | error_ptr,
|  | png_error_ptr | error_fn,
|  | png_error_ptr | warning_fn
| ) |  |

Definition at line 409 of file pngerror.c.

jmp_buf* PNGAPI png_set_longjmp_fn | ( | png_structp | png_ptr,
|  | png_longjmp_ptr | longjmp_fn,
|  | size_t | jmp_buf_size
| ) |  |

Definition at line 268 of file pngerror.c.

void PNGAPI png_warning | ( | png_structp | png_ptr,
|  | png_const_charp | warning_message
| ) |  |

Definition at line 108 of file pngerror.c.